# values.py
""" create case statement for position update """

import math

speeds = [48, 96]

granularity = 16

tablevel = 1
write_x = "change_x <= "
write_y = "change_y <= " 

print '\t' * tablevel + "case(speeding)"
tablevel += 1
for i in range(len(speeds)):
        print "\t" * tablevel + "'d" + str(i) + ":begin"
        tablevel += 1
        print "\t" * tablevel + "case(heading)"
        tablevel += 1
        for j in range(granularity):
                print "\t" * tablevel + "'d" + str(j) + ":begin"
                tablevel += 1
                angle = 2 * math.pi * j / granularity
                print "\t" * tablevel + write_x + "" + str(int(speeds[i] * math.cos(angle))) + ';'
                print "\t" * tablevel + write_y + "" + str(int(speeds[i] * math.sin(angle))) + ';'
                print "\t" * tablevel + "end"
                tablevel -= 1
        tablevel -= 1
        print "\t" * tablevel + "endcase"
        tablevel -= 1
        print "\t" * tablevel + "end"
tablevel -= 1
print "\t" * tablevel + "endcase"
