////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   18:09:00 12/08/2007
// Design Name:   animal
// Module Name:   C:/CA/FinalProject/Code/Animal/test_animal.v
// Project Name:  animal
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: animal
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

`include "animal.v"
module test_animal_v;

	// Inputs
	reg [31:0] cycle;
	reg gameclock;
	reg [3:0] delta_heading;
	reg burst;
	reg [3:0] type_in;

	// Outputs
	wire [9:0] posx;
	wire [9:0] posy;
	wire [3:0] heading;
	wire burst_enabled;
	wire [3:0] type_out;

	reg [9:0] xout, yout;
	wire [3:0] hout;
	
	// Instantiate the Unit Under Test (UUT)
	animal uut  (posx, posy, heading, burst_enabled, type_out, delta_heading, burst, type_in, gameclock);
	
	initial begin
		// Initialize Inputs
		gameclock = 0;
		delta_heading = 1;
		burst = 0;
		type_in = 0;
		
		// Wait 100 ns for global reset to finish
		#100
		#1000 gameclock = 0; #1000 gameclock = 1;

		// Add stimulus here
		for (cycle = 0; cycle < 10; cycle = cycle + 1) begin
			#1000 gameclock = 0; #1000 gameclock = 1;
			//burst = (cycle == 5);
		end
	end

	initial
		$monitor("%d \theading: %d\t posx: %d\t posy: %d\tburst: %d\t$burst_enabled: %d", $time, heading, posx, posy, burst, burst_enabled);
endmodule
