//`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   17:39:05 12/08/2007
// Design Name:   delta_pos
// Module Name:   C:/CA/FinalProject/Code/Animal/test_delta_pos.v
// Project Name:  animal
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: delta_pos
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////
`include "animal.v"
module test_delta_pos_v;

	// Inputs
	reg [1:0] speeding;
	reg [3:0] heading;

	// Outputs
	wire [14:0] change_x;
	wire [14:0] change_y;

	// Instantiate the Unit Under Test (UUT)

	delta_pos uut (change_x, change_y, heading, speeding[0]);

	initial begin
		// Initialize Inputs
		speeding = 0;
		heading = 0;

		// Wait 100 ns for global reset to finish
		#100;

		// Add stimulus here
		for (speeding = 0; speeding < 2; speeding = speeding + 1) begin
			for (heading = 0; heading < 15; heading = heading + 1) begin
				#10000 $display("%d\theading: %d\tposx: %d\tposy: %d", $time, heading, change_x, change_y);
			end
		end
	end

endmodule
