`include "world.v"

module test_alg();
	
	parameter d = 100000;
	
	wire [79:0] pos_x_disp,pos_y_disp;
	wire [31:0] delta_heading,heading_disp,world_type;
	wire [7:0] burst_state;
	wire caught;
	wire [31:0] headings_out;
	
	reg [79:0] pos_x_in,pos_y_in;
	reg [31:0] heading_in,type_in;
	reg [7:0] burst_enabled;
	
	world w(
		pos_x_disp, pos_y_disp, heading_disp,
		delta_heading,headings_out, burst_state, world_type, caught,
		pos_x_in, pos_y_in, heading_in, burst_enabled,type_in
		);
	
	integer i;
	initial begin
		
		pos_x_in = 0;
		pos_y_in = 0;
		type_in = 0;
		
		heading_in = 0;
		
		pos_x_in[19:10] = 200;
		pos_y_in[19:10] = 250;
		pos_x_in[9:0] = 0;
		for (i = 500; i > 0; i = i - 8) begin
		    #d pos_y_in[9:0] = i;
		end
		pos_y_in[9:0] = 0;
		for (i = 0; i < 500; i = i + 8) begin
		    #d pos_x_in[9:0] = i;
		end
		pos_x_in[9:0] = 500;
		for (i = 0; i < 500; i = i + 8) begin
		    #d pos_y_in[9:0] = i;
		end
		pos_y_in[9:0] = 500;
		for (i = 500; i > 0; i = i - 8) begin
		    #d pos_x_in[9:0] = i;
		end
 
 

		
		
	end
	initial begin
		$monitor($time,,w.cat_headings[7:4],,w.b_alg1.x,,w.b_alg1.x_1_2,,w.b_alg1.x_1_4,,w.b_alg1.y,,w.b_alg1.y_1_2,,w.b_alg1.y_1_4);
		//,,w.b_alg1.caught,,w.b_alg2.caught,,w.b_alg3.caught,,w.b_alg4.caught,, "here",, w.b_alg3.x,, w.b_alg3.y
		//delta_heading,,delta_heading[3:0],,delta_heading[7:4],,delta_heading[11:8],,delta_heading[15:12],,delta_heading[19:16],,delta_heading[23:20],,delta_heading[27:24],,delta_heading[31:28]
		//w.b_alg4.x,,w.b_alg4.x_1_4,,w.b_alg4.x_1_2,,w.b_alg4.x_3_4,,w.b_alg4.y,,w.b_alg4.y_1_4,,w.b_alg4.y_1_2,,w.b_alg4.y_3_4
	end
	
endmodule